
Ryzom - Feature # 1227

Status: Closed Priority: Normal
Author: rti Category: NeL: General
Created: 01/07/2011 Assignee: rti
Updated: 12/07/2011 Due date:
Subject: Implement static IThread* IThread::getCurrentThread for pthread based systems
Description

static IThread* IThread::getCurrentThread() is only implemented for the windows api (using thread local storage).
Same should be implemented for pthreads.

see misc/thread.h, misc/p_thread.cpp, misc/win_thread.cpp, ...

History
#1 - 01/08/2011 01:15 am - rti
- Assignee set to rti

#2 - 01/08/2011 01:28 am - rti
- Status changed from New to Resolved
- Target version set to Version 0.8.0
- % Done changed from 0 to 100

#3 - 01/08/2011 06:48 pm - rti
- Target version changed from Version 0.8.0 to Version 0.9.0

#4 - 12/07/2011 02:51 pm - sfb
- Status changed from Resolved to Closed
